Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86032 - trailing spaces in /etc/ld.so.conf entries are not ignored
Summary: trailing spaces in /etc/ld.so.conf entries are not ignored
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc
Version: 9
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-12 18:01 UTC by Daniel Pavel
Modified: 2016-11-24 15:05 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-04-17 04:03:48 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:325 normal SHIPPED_LIVE : Updated glibc packages provide security and bug fixes 2003-11-12 05:00:00 UTC

Description Daniel Pavel 2003-03-12 18:01:48 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.4a) Gecko/20030312

Description of problem:
Trailing spaces in /etc/ld.so.conf entries are not ignored when checking for
libraries (as seen in strace output).

An entry like

"/usr/local/lib "

causes the dynamic library loader to check for the existence of the directory
"/usr/local/lib " instead of "/usr/local/lib".

Version-Release number of selected component (if applicable):
glibc-2.3.1-46

How reproducible:
Always

Steps to Reproduce:
1. Append trailing spaces at one of the entries in /etc/ld.so.conf (say
/usr/local/lib)
2. Run ldconfig
3. Try running a program that requires a dynamic executable present in the
directory whose entry has been modified


Actual Results:  The program fails to load, cause: dynamic library not found.

Expected Results:  The program should have loaded (i.e. ld should have ignored
the trailing spaces in /etc/ld.so.conf)

Comment 1 Ulrich Drepper 2003-04-17 04:03:48 UTC
This has been changed in the CVS glibc version.  The next binary we provide will
probably already have the change.

Comment 2 Ulrich Drepper 2003-11-04 21:34:05 UTC
Should be fixed in RHL9 errata, test version at

  ftp://people.redhat.com/jakub/glibc/errata/2.3.2-27.9.4/           
                                                                    



Note You need to log in before you can comment on or make changes to this bug.